Skip to main content
POST
/
v1
/
retrievers
/
{retriever_id}
/
executions
/
list
List Executions
curl --request POST \
  --url https://api.mixpeek.com/v1/retrievers/{retriever_id}/executions/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filters": {},
  "sorts": [
    {}
  ],
  "status": "<string>"
}
'
{
  "pagination": {
    "total": 1,
    "limit": 1,
    "offset": 1,
    "has_next": true
  },
  "results": [
    {
      "execution_id": "<string>",
      "status": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "duration_ms": 1,
      "credits_used": 1,
      "total_processed": 1,
      "total_returned": 1,
      "completed_at": "2023-11-07T05:31:56Z",
      "cache_hit_rate": 0.5,
      "inputs_hash": "<string>",
      "query_summary": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

retriever_id
string
required

Retriever ID or name.

Query Parameters

limit
integer | null
Required range: 1 <= x <= 1000
page_size
integer | null
Required range: 1 <= x <= 1000
offset
integer | null
Required range: 0 <= x <= 10000
page
integer | null
Required range: x >= 1
cursor
string | null
include_total
boolean
default:false

Body

application/json

Request to list retriever executions.

filters
Filters · object | null
sorts
Sorts · object[] | null
status
string | null

Optional status filter (completed, failed, running).

Response

Successful Response

Re-export shared execution listing response for OpenAPI docs.

pagination
PaginationMetadata · object
required

Pagination metadata

results
RetrieverExecutionSummary · object[]

Execution summaries